#include<fstream>
#include<algorithm>
using namespace std;
int main()
{
    ifstream f1("DEMPT.INP");
    ofstream f2("DEMPT.OUT");
    int n,m;
    f1>>n;
    n++;
    int a[n];
    int i,j;
    f1>>a[0];
    int u=a[0];
    for(i=1;i<n;i++)
    {
        f1>>a[i];
        //if(a[i]>u) u=a[i];
    }
    f1>>m;
    m++;
    int b[m];
    for(i=0;i<m;i++)
    {
        f1>>b[i];
    }
    f1.close();

    sort(a,a+n);
    sort(b,b+m);
    int l=0;
    for(i=0;i<m;i++)
    {
        if(i!=m-1)
        {
            if(b[i]==b[i+1]) continue;
        }
        //if(b[i]>u) break;
        for(j=0;j<n;j++)
        {
            if(j!=n-1)
            {
                if(a[j]==a[j+1]) continue;
            }
            if(b[i]==a[j])
            {
                l++;
                break;
            }
            if(b[i]<a[j]) break;
        }
    }
    f2<<l;
    f2.close();
    return 0;
}
